<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty array_reverse modifier plugin
 *
 * Type:     modifier<br>
 * Name:     array_reverse<br>
 * Purpose:  reverse array
 * @param array
 */
function smarty_modifier_array_reverse($array)
{
  if (is_array($array) && isset($array[0]['star']))
  {
    return array_reverse($array);
  } else {
    return $array;
  }
}

/* vim: set expandtab: */

?>
